@import "variables";

.row {display: flex; flex-wrap: wrap; margin: 0 -10px;}
.col {
  padding: 0 10px; box-sizing: border-box;

  &-10 {width: 10%;}
  &-15 {width: 15%;}
  &-16 {width: 16.66%;}
  &-20 {width: 20%;}
  &-25 {width: 25%;}
  &-30 {width: 30%;}
  &-33 {width: 33.33%;}
  &-40 {width: 40%;}
  &-50 {width: 50%;}
  &-60 {width: 60%;}
  &-66 {width: 66.66%;}
  &-70 {width: 70%;}
  &-75 {width: 75%;}
  &-80 {width: 80%;}
  &-90 {width: 90%;}
  &-100 {width: 100%;}

  @media(max-width: $mobile) {
    &-mobile-hidden {display: none;}
    &-mobile-10 {width: 10%;}
    &-mobile-15 {width: 15%;}
    &-mobile-16 {width: 16.66%;}
    &-mobile-20 {width: 20%;}
    &-mobile-25 {width: 25%;}
    &-mobile-30 {width: 30%;}
    &-mobile-33 {width: 33.33%;}
    &-mobile-40 {width: 40%;}
    &-mobile-50 {width: 50%;}
    &-mobile-60 {width: 60%;}
    &-mobile-66 {width: 66.66%;}
    &-mobile-70 {width: 70%;}
    &-mobile-75 {width: 75%;}
    &-mobile-80 {width: 80%;}
    &-mobile-90 {width: 90%;}
    &-mobile-100 {width: 100%;}
  }
}
